﻿@using DocumentFormat.OpenXml.Wordprocessing
@{
    ViewBag.Title = "Role Maintenance";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>


<script type="text/javascript">

    $(function () {
        $.ajax({
            url: '@Url.Action("GetStatus", "RoleMaintenance")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlStatus').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlStatus').append('<option >No data found</option>');
            }
        });
    });

   
    $(document).ready(function () {


        $("#btnSave").click(function () {
            //validation
            if ($('#txtRoleName').val().length == 0) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            } else {

                //confirmation
                bootbox.confirm({
                    title: "<i class='fa fa-warning fa-2x'></i> Save Confirmation",
                    message: 'Are you sure you want to save this data. <br>If not, click Cancel',
                    buttons: {
                        'cancel': {
                            label: '<i class="fa fa-times"></i> Cancel',
                            className: 'btn-default pull-left'
                        },
                        'confirm': {
                            label: '<i class="fa fa-check"></i> Yes, Continue save',
                            className: 'btn-primary pull-right'
                        }
                    },
                    callback: function (result) {
                        if (result) {
                            var RoleList = [
                                 {
                                     roleid: '@ViewBag.RowId'
                                     , rolename: $('#txtRoleName').val()
                                     , status: $('#ddlStatus').val()
                                 }
                            ];

                            RoleList.push();

                            var formData = new FormData();
                            formData.append("RoleList", JSON.stringify(RoleList));


                            //Save Process
                            $.ajax({
                                type: "POST",
                                url: '@Url.Action("SaveRole", "RoleMaintenance")',
                                data: formData,
                                dataType: 'json',
                                contentType: false,
                                processData: false,
                                //beforeSend: function () {
                                //    //$("#loader").show();
                                //},
                                success: function (data) {
                                    bootbox.dialog({
                                        message: data.message,
                                        title: data.title,
                                        buttons: {
                                            main: {
                                                label: "<i class='fa fa-check'></i> Ok",
                                                className: "btn-primary",
                                                callback: function () {
                                                    if (result) {
                                                        if (data.status) {
                                                            window.location.href = '@Url.Action("Role", "RoleMaintenance")';
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    });
                                }
                            });

                        }
                    }
                });
            }


        });

    });


</script>

<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>


<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Add Role

        </div>
        <div class="panel-body">
            <!--Role Name-->
            <div class="row">
                <div class="col-sm-2"><label class="required label-def-margin" for="txtRoleName">Role Name</label></div>
                <div class="col-sm-4"><input class="form-control" type="text" id="txtRoleName" /></div>
            </div>
            <!--Role Status-->
            <div class="row">
                <div class="col-sm-2"><label class="label-def-margin" for="ddlStatus">Status</label></div>
                <div class="col-sm-3"><select class="form-control" id="ddlStatus"></select></div>
            </div>
        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" class="btn btn-primary" id="btnSave">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("BackRole", "RoleMaintenance") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>



    </div>
</div>
